package com.example.ueberwachungssystem;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;

import android.Manifest;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Switch;
import android.widget.TextView;
import android.widget.ToggleButton;

import com.example.ueberwachungssystem.Mikrofon;
import com.example.ueberwachungssystem.logger.Logger;

public class MainActivity extends AppCompatActivity {

    Logger logger;
    private TextView tv_log;
    Mikrofon Mikrofon_1= new Mikrofon();

    MicrophoneDetector Mic;
    private Switch TglBtn_Mic;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        TextView textView = new TextView(this);
        tv_log = (TextView) findViewById(R.id.tv_log); //Set textview for showing logged content
        logger = new Logger(this.getClass().getSimpleName(), tv_log, "");
        logger.log(this.getClass().getSimpleName() + ".onCreate");
        Mic = new MicrophoneDetector(this, logger);
        setupMic();

    }

    @Override
    public void onResume() {
        super.onResume();
        Mikrofon_1.onResume();
        logger.log(this.getClass().getSimpleName() + ".onResume");
    }

    @Override
    public void onPause() {
        super.onPause();
        Mikrofon_1.onPause();
        logger.log(this.getClass().getSimpleName() + ".onPause");
    }

    private void setupMic() {
        Mikrofon_1.onCreate(this, logger);
        TglBtn_Mic = (Switch) findViewById(R.id.TglBtn_Mic);
        TglBtn_Mic.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (v == TglBtn_Mic) {
                    logger.log("onClick toggleButtonThread " + TglBtn_Mic.isChecked());
                    if (TglBtn_Mic.isChecked()) {
                        Mikrofon_1.onResume();
                    } else {
                        Mikrofon_1.onPause();
                    }
                }
            }
        });
    }
}